;****************************************************************
;		    HuSound ZeroPage Variables			*
;****************************************************************
.enum HUSOUND_ZP_BASE

; -- Driver State --
;****************************************************************
HuSound_Busy		ds 1
HuSound_isPaused	ds 1

; Script Decoding
;-----------------
HuSound_VarJump		ds 1
HuSound_JumpDest	ds 2			; Lo, Hi
HuSound_CurStream	ds 4			; Lo, Hi, Bank, McMap
HuSound_CurByte		ds 1
HuSound_TarStream	ds 4			; Lo, Hi, Bank, McMap


; -- Channel Properties --
;****************************************************************
; Attributes
;------------
HuSound_Priority	ds HUSOUND_CHANNELS

; Frequency
;-----------
HuSound_FreqAcc_Lo	ds 1
HuSound_FreqAcc_Hi	ds 1
HuSound_FreqAcc_De	ds 1


; -- Instrument / SFX Script Decoding --
;****************************************************************
; Play Requests and Dispatcher
;------------------------------
HuSFX_Reqs		ds 1
HuSFX_NewPri		ds 1


; -- PCM Playback --
;****************************************************************
; Playback State
;----------------
HuSample_Playing	ds HUSOUND_CHANNELS
HuSample_ActiveAcc	ds 1
HuSample_CurStream	ds 2			; Lo, Hi

; Directory Offsets
;-------------------
HuSample_DescBase	ds 2			; Lo, Hi
HuSample_CurBase	ds 4			; Lo, Hi, Bank, McMap

; Segment End
;-------------
HUSOUND_ZP_END		ds 1
.ende
.printt "HuSound : $"
.printv HEX HUSOUND_ZP_BASE
.printt " to $"
.printv HEX HUSOUND_ZP_END - 1
.printt ", "
.printv DEC HUSOUND_ZP_END - HUSOUND_ZP_BASE
.printt " bytes\n"
